#!/usr/bin/env php
<?php

if ($argc < 3) {
    echo "❌ Użycie: php delete_user.php UID /sciezka/do/drupala\n";
    exit(1);
}

$uid = (int) $argv[1];
$drupal_path = $argv[2];

// Bootstrap Drupala
define('DRUPAL_ROOT', $drupal_path);
chdir(DRUPAL_ROOT);
require_once DRUPAL_ROOT . '/includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

// Załaduj użytkownika
$account = user_load(array('uid' => $uid));

if ($account) {
    user_delete(array('uid' => $uid));
    echo "✅ Użytkownik $uid został usunięty.\n";
} else {
    echo "⚠️ Użytkownik $uid nie istnieje.\n";
}
